package de.intevation.flys.model;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Type;

import com.vividsolutions.jts.geom.LineString;


@Entity
@Table(name = "cross_section_tracks")
public class CrossSectionTrack
implements   Serializable
{
    private Integer    id;
    private River      river;
    private LineString geom;
    private BigDecimal km;
    private BigDecimal z;

    public CrossSectionTrack() {
    }


    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }


    public void setId(Integer id) {
        this.id = id;
    }


    @OneToOne
    @JoinColumn(name = "river_id")
    public River getRiver() {
        return river;
    }


    public void setRiver(River river) {
        this.river = river;
    }


    @Column(name = "geom")
    @Type(type = "org.hibernatespatial.GeometryUserType")
    public LineString getGeom() {
        return geom;
    }


    public void setGeom(LineString geom) {
        this.geom = geom;
    }


    @Column(name = "km")
    public BigDecimal getKm() {
        return km;
    }


    public void setKm(BigDecimal km) {
        this.km = km;
    }


    @Column(name = "z")
    public BigDecimal getZ() {
        return z;
    }


    public void setZ(BigDecimal z) {
        this.z = z;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
